# This spec is backported to ALTLinux 4.1 automatically by rpmbh script. Do not edit it.
Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.5-compat
Summary: Timezone data
Name: tzdata
Version: 2008b
%define tzdata_version %{version}
%define tzcode_version 2008a
Release: alt0.M41.1_1jpp5
License: Public Domain
Group: System/Base
URL: ftp://elsie.nci.nih.gov/pub/

# The tzdata-base-0.tar.bz2 is a simple building infrastructure and
# test suite.  It is occasionally updated from glibc sources, and as
# such is under LGPLv2+, but none of this ever gets to be part of
# final zoneinfo files.
Source0: tzdata-base-0.tar.bz2
# These are official upstream.
Source1: ftp://elsie.nci.nih.gov/pub/tzdata%{tzdata_version}.tar.gz
Source2: ftp://elsie.nci.nih.gov/pub/tzcode%{tzcode_version}.tar.gz

BuildRequires: gawk glibc perl
BuildRequires: glibc-timezones
#Conflicts: glibc-common <= 2.3.2-63
BuildArchitectures: noarch

BuildRequires: rpm-build-compat >= 0.95

%description
This package contains data files with rules for various timezones around
the world.

%package java
Summary: Timzeone data for Java
Group: System/Base
Source3: javazic.tar.gz
Patch0: javazic-fixup.patch

%description java
This package contains timezone information for use by Java runtimes.


%prep
%setup -q -n tzdata
mkdir tzdata%{tzdata_version}
tar xzf %{SOURCE1} -C tzdata%{tzdata_version}
mkdir tzcode%{tzcode_version}
tar xzf %{SOURCE2} -C tzcode%{tzcode_version}
sed -e 's|@objpfx@|'`pwd`'/obj/|' \
    -e 's|@datadir@|%{_datadir}|' \
  Makeconfig.in > Makeconfig

mkdir javazic
tar zxf %{SOURCE3} -C javazic
pushd javazic
%patch0

# Hack alert! sun.tools may be defined and installed in the
# VM. In order to guarantee that we are using IcedTea/OpenJDK
# for creating the zoneinfo files, rebase all the packages
# from "sun." to "rht.". Unfortunately, gcj does not support
# any of the -Xclasspath options, so we must go this route
# to ensure the greatest compatibility.
mv sun rht
find . -type f -name '*.java' -print0 \
    | xargs -0 -- sed -i -e 's:sun\.tools\.:rht.tools.:g' \
                         -e 's:sun\.util\.:rht.util.:g'
popd

%build
make
grep -v tz-art.htm tzcode%{tzcode_version}/tz-link.htm > tzcode%{tzcode_version}/tz-link.html

pushd javazic
javac -source 1.5 -target 1.5 -classpath . `find . -name \*.java`
popd
pushd tzdata%{tzdata_version}
java -classpath ../javazic/ rht.tools.javazic.Main -V %{version} \
  -d ../zoneinfo/java \
  africa antarctica asia australasia europe northamerica pacificnew \
  southamerica backward etcetera solar87 solar88 solar89 systemv \
  ../javazic/tzdata_jdk/gmt ../javazic/tzdata_jdk/jdk11_backward
popd

%install
rm -fr $RPM_BUILD_ROOT
sed -i 's|@install_root@|%{buildroot}|' Makeconfig
make install

cp -pr zoneinfo/java $RPM_BUILD_ROOT%{_datadir}/javazi

%files java
%{_datadir}/javazi

%changelog
* Wed Jul 02 2008 Igor Vlasenko <viy@altlinux.ru> 2008b-alt0.M41.1_1jpp5
- backport to ALTLinux 4.1 (by rpmbph script)

* Fri Jun 13 2008 Igor Vlasenko <viy@altlinux.ru> 2008b-alt1_1jpp5
- converted from JPackage by jppimport script

